﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PristaniNaMesici
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            bool app_run = true;

            Game game;
            int interval = 50;
            
            if (args.Length == 0)
            {
                var connectForm = new ConnectForm();
                Application.Run(connectForm);

                if(!connectForm.Valid)
                {
                    Console.WriteLine("Closed");
                    return;
                }
                game = new Game(connectForm.Address, connectForm.MaxSpeed);
                game.AutopilotActive = true;

                interval = (int) (1000 / connectForm.numericUpDown_ticks.Value);
            }
            else
            {
                if (args.Length == 1)
                    game = new Game(args[0]);
                else
                    game = new Game(args[0], int.Parse(args[1]));
            }

            //Console.WriteLine(game.Address);

            var game_form = new GameForm(game);
            game_form.timer_ticks.Interval = interval;

            Application.Run(game_form);

        }
    }
}
